PETSc version 3.15.5
Fix/Edit manual page

# SNESNewtonTRPostCheck

Called after the step has been determined in SNESNEWTONTR but before the function evaluation

### Synopsis

    #include "petscsnes.h"
    static PetscErrorCode SNESNewtonTRPostCheck(SNES snes,Vec X,Vec Y,Vec W,PetscBool *changed_Y,PetscBool *changed_W)

Logically Collective on snes

### Input Parameters

| snes | - the solver. X - The last solution
| Y | - The full step direction
| W | - The updated solution, W = X - Y

### Output Parameters

| changed_Y | - indicator if step has been changed
| changed_W | - Indicator if the new candidate solution W has been changed.

### Notes

If Y is changed then W is recomputed as X - Y

### See Also

SNESNewtonTRSetPostCheck(), SNESNewtonTRGetPostCheck()

### Level

developer

### Location

src/snes/impls/tr/tr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages